Package com.google.earth.kml._2

# Class NetworkLinkControlType

java.lang.Object
com.google.earth.kml._2.NetworkLinkControlType

public class NetworkLinkControlType extends Object
<p>Java class for NetworkLinkControlType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="NetworkLinkControlType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <all> <element name="minRefreshPeriod" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="cookie" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="linkName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="linkDescription" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="linkSnippet" type="{http://earth.google.com/kml/2.1}SnippetType" minOccurs="0"/> <element name="expires" type="{http://earth.google.com/kml/2.1}dateTimeType" minOccurs="0"/> <element name="Update" type="{http://earth.google.com/kml/2.1}UpdateType" minOccurs="0"/> <element name="LookAt" type="{http://earth.google.com/kml/2.1}LookAtType" minOccurs="0"/> </all> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `cookie`
  `protected String`
  `expires`
  `protected String`
  `linkDescription`
  `protected String`
  `linkName`
  `protected SnippetType`
  `linkSnippet`
  `protected LookAtType`
  `lookAt`
  `protected String`
  `message`
  `protected Float`
  `minRefreshPeriod`
  `protected UpdateType`
  `update`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkLinkControlType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCookie()`
  Gets the value of the cookie property.
  `String`
  `getExpires()`
  Gets the value of the expires property.
  `String`
  `getLinkDescription()`
  Gets the value of the linkDescription property.
  `String`
  `getLinkName()`
  Gets the value of the linkName property.
  `SnippetType`
  `getLinkSnippet()`
  Gets the value of the linkSnippet property.
  `LookAtType`
  `getLookAt()`
  Gets the value of the lookAt property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `Float`
  `getMinRefreshPeriod()`
  Gets the value of the minRefreshPeriod property.
  `UpdateType`
  `getUpdate()`
  Gets the value of the update property.
  `void`
  `setCookie(String value)`
  Sets the value of the cookie property.
  `void`
  `setExpires(String value)`
  Sets the value of the expires property.
  `void`
  `setLinkDescription(String value)`
  Sets the value of the linkDescription property.
  `void`
  `setLinkName(String value)`
  Sets the value of the linkName property.
  `void`
  `setLinkSnippet(SnippetType value)`
  Sets the value of the linkSnippet property.
  `void`
  `setLookAt(LookAtType value)`
  Sets the value of the lookAt property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setMinRefreshPeriod(Float value)`
  Sets the value of the minRefreshPeriod property.
  `void`
  `setUpdate(UpdateType value)`
  Sets the value of the update property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minRefreshPeriod

    protected Float minRefreshPeriod

  - ### cookie

    protected String cookie

  - ### message

    protected String message

  - ### linkName

    protected String linkName

  - ### linkDescription

    protected String linkDescription

  - ### linkSnippet

    protected SnippetType linkSnippet

  - ### expires

    protected String expires

  - ### update

    protected UpdateType update

  - ### lookAt

    protected LookAtType lookAt

- ## Constructor Details

  - ### NetworkLinkControlType

    public NetworkLinkControlType()

- ## Method Details

  - ### getMinRefreshPeriod

    public Float getMinRefreshPeriod()
    Gets the value of the minRefreshPeriod property.
    Returns:
      possible object is `Float`

  - ### setMinRefreshPeriod

    public void setMinRefreshPeriod(Float value)
    Sets the value of the minRefreshPeriod property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getCookie

    public String getCookie()
    Gets the value of the cookie property.
    Returns:
      possible object is `String`

  - ### setCookie

    public void setCookie(String value)
    Sets the value of the cookie property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLinkName

    public String getLinkName()
    Gets the value of the linkName property.
    Returns:
      possible object is `String`

  - ### setLinkName

    public void setLinkName(String value)
    Sets the value of the linkName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLinkDescription

    public String getLinkDescription()
    Gets the value of the linkDescription property.
    Returns:
      possible object is `String`

  - ### setLinkDescription

    public void setLinkDescription(String value)
    Sets the value of the linkDescription property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLinkSnippet

    public SnippetType getLinkSnippet()
    Gets the value of the linkSnippet property.
    Returns:
      possible object is `SnippetType`

  - ### setLinkSnippet

    public void setLinkSnippet(SnippetType value)
    Sets the value of the linkSnippet property.
    Parameters:
      `value` - allowed object is `SnippetType`

  - ### getExpires

    public String getExpires()
    Gets the value of the expires property.
    Returns:
      possible object is `String`

  - ### setExpires

    public void setExpires(String value)
    Sets the value of the expires property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUpdate

    public UpdateType getUpdate()
    Gets the value of the update property.
    Returns:
      possible object is `UpdateType`

  - ### setUpdate

    public void setUpdate(UpdateType value)
    Sets the value of the update property.
    Parameters:
      `value` - allowed object is `UpdateType`

  - ### getLookAt

    public LookAtType getLookAt()
    Gets the value of the lookAt property.
    Returns:
      possible object is `LookAtType`

  - ### setLookAt

    public void setLookAt(LookAtType value)
    Sets the value of the lookAt property.
    Parameters:
      `value` - allowed object is `LookAtType`